Bug 143211 - New port: www/tokyopromenade - a content management system
Summary: New port: www/tokyopromenade - a content management system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-25 13:00 UTC by QingFeng
Modified: 2010-02-24 21:10 UTC (History)
0 users

See Also:


Attachments
file.shar (4.62 KB, text/plain)
2010-01-25 13:00 UTC, QingFeng
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description QingFeng 2010-01-25 13:00:13 UTC

    
Comment 1 Greg Larkin freebsd_committer 2010-01-28 05:13:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Fix synopsis and assign to me.
Comment 2 dfilter service freebsd_committer 2010-02-24 20:58:13 UTC
glarkin     2010-02-24 20:58:04 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/tokyopromenade   Makefile distinfo pkg-descr pkg-plist 
    www/tokyopromenade/files pkg-message.in 
  Log:
  Tokyo Promenade is a browser-based content management system with the
  following features:
  
    * simple and logical user interface : aims at conciseness like LaTeX
  
    * high accessibility : XHTML 1.0 compliant and considering WCAG 1.0
  
    * hybrid data structure : available as BBS, blog, and Wiki
  
    * sufficient functionality : supports user management and file management
  
    * high performance : uses an embedded database, Tokyo Cabinet
  
    * lightweight : implemented by C99 and without any dependency
                    on other libraries
  
  WWW:    http://1978th.net/tokyopromenade/
  
  PR:             ports/143211
  Submitted by:   Qing Feng <qingfeng at me.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2554    +1 -0      ports/www/Makefile
  1.1       +41 -0     ports/www/tokyopromenade/Makefile (new)
  1.1       +3 -0      ports/www/tokyopromenade/distinfo (new)
  1.1       +59 -0     ports/www/tokyopromenade/files/pkg-message.in (new)
  1.1       +17 -0     ports/www/tokyopromenade/pkg-descr (new)
  1.1       +30 -0     ports/www/tokyopromenade/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2010-02-24 21:01:07 UTC
glarkin     2010-02-24 21:00:54 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  - Added new contributor Qing Feng
  
  PR:             ports/143211
  
  Revision  Changes    Path
  1.901     +4 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Greg Larkin freebsd_committer 2010-02-24 21:01:27 UTC
State Changed
From-To: open->closed

Committed with various modifications, including: 

- Updated to 0.9.19 
- Added more detail to pkg-descr 
- Added missing dependencies (fcgi-devkit and spawn-fcgi) 
- Added backup MASTER_SITE 
- Replaced hard-coded paths in pkg-message with tokens